
Enduro/X Core - Bug #784

Error in SystemV IPC mode shared memory houskeeping 

07/17/2022 10:51 PM - Madars

Status: Closed Start date: 07/17/2022

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

In case of crashed XATMI server, it is possible that NDRXD incorrectly housekeeps the shared memory, which may lead to 

TPENOENT errors, even the service is advertised by some other copy of the particular server.

History

#1 - 07/19/2022 12:07 AM - Madars

- Status changed from New to In Progress

- % Done changed from 0 to 100

Release notes

Updated ndrxd shared memory housekeeping routines to reflect properly actual number server resources available for service in SystemV/poll/emq

poller modes.

Available from Enduro/X release 8.0.6+.

#2 - 07/19/2022 12:07 AM - Madars

- Status changed from In Progress to Closed
